---
title: "GET /blueprints/simulating/html/{key} - Blueprints · RUAL Documentation"
description: "Get HTML rendering of simulation data"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-simulating-html--key-get
language: en
---

# GET /blueprints/simulating/html/{key}

Get HTML rendering of simulation data

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **key** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "success": true
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_view` | Required scope: blueprints_view |
